<?php

namespace App\Admin\Templates;

use SleepingOwl\Admin\Templates\Template;

class GeolookTemplate extends Template
{
    /**
     * Получение названия текущего шаблона.
     *
     * @return string
     */
    public function name()
    {
        return 'Geolook Admin Template';
    }

    /**
     * Версия темы.
     *
     * @return string
     */
    public function version()
    {
        return '1.0.0';
    }

    /**
     * URL проекта.
     *
     * @return string
     */
    public function homepage()
    {
        return 'https://proj.geolook.php.a-level.com.ua/';
    }

    public function initialize()
    {
        $this->meta()
            ->addJs('admin-default', $this->assetPath('js/admin-app.js'))
            ->addJs('admin-vue-init', $this->assetPath('js/vue.js'))
            ->addJs('admin-modules-load', $this->assetPath('js/modules.js'))
            ->addCss('admin-default', $this->assetPath('css/admin-app.css'));
    }

    /**
     * @return string
     */
    public function getViewNamespace()
    {
        return 'sleeping_owl::default';
    }

    /**
     * Получение относительного пути �
     * ранения asset файлов.
     *
     * @return string
     */
    public function assetDir()
    {
        return 'packages/sleepingowl/default';
    }

    /**
     * @return string
     */
    public function getLogo()
    {
        return '<span class="pull-left">Geolook</span>';
    }

    /**
     * @return string
     */
    public function getLogoMini()
    {
        return '<span class="pull-left">G</span>';
    }
}
