<?php

Route::get('', ['as' => 'admin.dashboard', function () {
	$content = view('admin.dashboard', [
        'usersCount' => \App\User::count(),
        'locationsCount' => \App\Location::count()]);
	return AdminSection::view($content, 'Dashboard');
}]);

Route::get('information', ['as' => 'admin.information', function () {
	$content = 'Define your information here.';
	return AdminSection::view($content, 'Information');
}]);

Route::namespace('App\Http\Admin\Telegram')->prefix('telegram')->group(function() {
    Route::get('/', ['as' => 'admin.setting.index', 'uses' => 'SettingController@index']);
    Route::post('/store', ['as' => 'admin.setting.store', 'uses' => 'SettingController@store']);
    Route::post('/setwebhook', ['as' => 'admin.setting.setwebhook', 'uses' => 'SettingController@setWebhook']);

    Route::post('/getwebhook', ['as' => 'admin.setting.getwebhookinfo', 'uses' => 'SettingController@getWebhookInfo']);

    Route::get('/test', ['as' => 'admin.test', 'uses' => 'SettingController@test']);
});
